CVE-2023-6693

Name
CVE-2023-6693
Description
A stack based buffer overflow was found in the virtio-net device of QEMU. This issue occurs when flushing TX in the virtio_net_flush_tx function if guest features VIRTIO_NET_F_HASH_REPORT, VIRTIO_F_VERSION_1 and VIRTIO_NET_F_MRG_RXBUF are enabled. This could allow a malicious user to overwrite local variables allocated on the stack. Specifically, the `out_sg` variable could be used to read a part of process memory and send it to the wire, causing an information leak.
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
secalert@redhat.com https://access.redhat.com/security/cve/CVE-2023-6693
secalert@redhat.com https://bugzilla.redhat.com/show_bug.cgi?id=2254580
secalert@redhat.com https://security.netapp.com/advisory/ntap-20240208-0004/
secalert@redhat.com https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/OYGUN5HVOXESW7MSNM44E4AE2VNXQB6Y/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:qemu:qemu:-:*:*:*:*:*:*:* qemu == None == -
cpe:2.3:a:qemu:qemu:*:*:*:*:*:*:*:* qemu >= None < 8.2.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
qemu 3.19-community 8.1.5-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable